Skip to main content
Resource Center/Resource Pool/VM Instance Operations
GETVM Instance OperationsSince 3.10.0SynchronousAuth Required

GetVmDeviceAddress

GetVmDeviceAddress

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • uuidStringRequired

    The VM UUID.

  • resourceTypesListRequired

    The resource type.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • addressesMapRequired

    The device addresses.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/vm-instances/devices

/zstack/v1/vm-instances/devices

Operation ID

GetVmDeviceAddress

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/devices?uuid=<uuid>&resourceTypes=<resourceTypes>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "addresses": { "VolumeVO": [ { "address": "0000:01:00:0", "addressType": "pci", "deviceType": "disk", "resourceType": "VolumeVO" } ] } }

Change History

This API has no change history records yet.

View all change history